Bug 67716 - running apm on Toshiba Satellite model 1000-S157 laptop erroneosly reports "AC on-line, no system battery"
running apm on Toshiba Satellite model 1000-S157 laptop erroneosly reports "A...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-30 18:08 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-30 18:08:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
I am on a Toshiba Satellite model 1000-S157 laptop.

When I run apm on the command line, it always reports:

AC on-line, no system battery

even if my AC is disconnected and there is (obviously) a battery installed.

When I do a cat /proc/apm, I always get:

1.16 1.2 0x03 0x01 0xff 0x80 -1% -1 ?

I expect to see how much battery I have left, and instead I get no information
and, as a result, none of the graphical battery monitor applets for Gnome give
me any useful information.

How in the world can I take my laptop traveling with me--portability being a
laptop's most useful property--if I can't see how much battery I have left?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Type apm at the command line

or

1. Type cat /proc/apm

Actual Results:  For apm, results is always:
AC on-line, no system battery

For cat /proc/apm, result is always
1.16 1.2 0x03 0x01 0xff 0x80 -1% -1 ?

Expected Results:  I expect to see how much battery I have left, and to see that
AC is disconnected when I unplug my laptop!

Additional info:

I am on a Toshiba Satellite model 1000-S157 laptop.
Red Hat 7.3
I DO have a battery in this laptop!
Comment 1 Bernhard Rosenkraenzer 2002-07-01 04:15:57 EDT
Your BIOS is not conforming to standards. Assigning to kernel so it can be 
blacklisted.
Comment 2 Need Real Name 2002-07-01 13:04:08 EDT
What is it mean to be blacklisted? Does that mean I should give up?
Comment 3 Bugzilla owner 2004-09-30 11:39:43 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.